"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77daf0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77db80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77dc10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77dca0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77dd30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77ddc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77de50>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77dee0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e77df70>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7860d0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786160>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7861f0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786280>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786310>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7863a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786430>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7864c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786550>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7865e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786670>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786700>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786790>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786820>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786940>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7868b0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7869d0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786a60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786af0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786b80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786c10>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786ca0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786d30>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786dc0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786e50>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786ee0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e786f70>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7880d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788160>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7881f0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788280>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788310>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7883a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788430>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7884c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788550>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7885e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788670>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788700>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788790>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788820>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7888b0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788940>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e7889d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788a60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788af0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788b80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788c10>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788ca0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788d30>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788dc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788e50>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788ee0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e788f70>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d160>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d040>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d1f0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d280>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d310>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d3a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d430>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d550>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d4c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d5e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d670>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d700>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d820>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d790>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d8b0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d940>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78d9d0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78da60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78daf0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f672e78db80>)]
name: str = 'fr_HOCCN'
